Bug 417 - [Nvidia/nv] driver crash on TNT2
Summary: [Nvidia/nv] driver crash on TNT2
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nVidia (open) (show other bugs)
Version: 6.7.0
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Xorg Project Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-04-07 08:33 UTC by Maarten Deprez
Modified: 2007-02-22 14:28 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maarten Deprez 2004-04-07 08:33:07 UTC
After a while, my system locks up. Only with nv driver, vesa driver seems to
work. Observed under linux 2.4 and linux 2.6 (both with vesafb enabled). Xfree86
4.3 ran without any problems, except 'snow' in 24-bit mode (no better in xorg
6.7.0 or xfree 4.4). My video card is a TNT2 card integrated on the motherboard,
lspci reports:

01:00.0 VGA compatible controller: nVidia Corporation NV5 [Riva TNT2] (rev 20)
(prog-if 00 [VGA])
        Subsystem: Elitegroup Computer Systems: Unknown device 0754
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64 (1250ns min, 250ns max)
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at de000000 (32-bit, non-prefetchable) [size=16M]
        Region 1: Memory at d2000000 (32-bit, prefetchable) [size=32M]
        Expansion ROM at dfef0000 [disabled] [size=64K]
        Capabilities: [60] Power Management version 1
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [44] AGP version 1.0
                Status: RQ=32 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64- HTrans-
64bit- FW- AGP3- Rate=x1,x2
                Command: RQ=1 ArqSz=0 Cal=0 SBA- AGP- GART64- 64bit- FW- Rate=<none>
Comment 1 Maarten Deprez 2004-04-27 01:35:24 UTC
The snow seems to be fixed by using a slower pixclock rate. I think this is
because the card uses a part of the system memory, and that is to slow to follow
the highest pixclock rates and 32 bits per pixel.
Comment 2 Enrico Scholz 2004-09-07 16:33:11 UTC
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=120018 is probably a
related report and provides some more details.
Comment 3 Chris Lee 2005-07-03 19:24:09 UTC
Does this still happen with the latest Xorg? 
Comment 4 Maarten Deprez 2005-07-09 21:33:59 UTC
(In reply to comment #3)
Yes, it still happens with the latest release (Xorg 6.8.2)
Comment 5 Erik Andren 2006-04-16 20:43:49 UTC
And with a current version of xorg (7.1RC1)?
Comment 6 Erik Andren 2006-05-19 04:45:01 UTC
Ping!
Comment 7 Maarten Deprez 2006-05-19 06:21:22 UTC
(In reply to comment #6)
Yes, i'm here! I'm sorry, have to rebuild X, will take some time.

Comment 8 Erik Andren 2006-06-28 12:07:57 UTC
Any status update?
Comment 9 Maarten Deprez 2006-06-29 02:25:46 UTC
(In reply to comment #8)
> Any status update?

No, i'm sorry. Which packages do i have to build to test (which libs etc.)?
Making difficult the build on my system, is that, at least in the previous
release, installing with another prefix doesn't fully work right.
Comment 10 Timo Jyrinki 2007-02-22 14:28:06 UTC
Marking broken (status null/blank) bugs in xorg with no activity in a long time as fixed. Please reopen if you think it's necessary, but first do a search if a similar bug report is already filed and in a NEW/ASSIGNED state. These bugs do not currently show in most search results as they do not have any status.

Sorry for this janitorial spam, you know where to send hate mails to when your inbox gets full of bugs you're subscribed to.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.